Name:           python-kcli
Version:        99.0.202505191037
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Provisioner/Manager for Libvirt/Vsphere/Aws/Gcp/Hcloud/Kubevirt/Ovirt/Openstack/IBM Cloud and containers

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/karmab/kcli
Source:         %{pypi_source kcli}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'kcli' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-kcli
Summary:        %{summary}

%description -n python3-kcli %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-kcli all,aws,azure,gcp,hcloud,ibm,libvirt,openstack,ovirt,packet,proxmox,vsphere


%prep
%autosetup -p1 -n kcli-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,aws,azure,gcp,hcloud,ibm,libvirt,openstack,ovirt,packet,proxmox,vsphere


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-kcli -f %{pyproject_files}


%changelog
%autochangelog